> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all tags for a specified tag group



## OpenAPI

````yaml get /tag-groups/{tagGroupId}/tags
openapi: 3.0.0
info:
  description: Pleo.io API
  version: 0.0.1
  title: Pleo.io API
servers:
  - url: https://openapi.pleo.io/v1/
    description: Production
  - url: https://openapi.staging.pleo.io/v1/
    description: Staging
security:
  - BearerToken: []
tags: []
paths:
  /tag-groups/{tagGroupId}/tags:
    get:
      tags:
        - Tag Groups
      summary: Get all tags for a specified tag group
      operationId: getTags
      parameters:
        - name: tagGroupId
          in: path
          required: true
          schema:
            type: string
            example: 0f0e000-000d-0d00-000b-00db0d000fae
          description: Unique UUID of the tag group.
        - name: hidden
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            This flag allows you fetch only tags that have been hidden/archived
            if set to true or tags that are still actively in use if set to
            false. By default it will only fetch active tags.
      responses:
        '200':
          description: Tags have been returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagsResponse'
        '401':
          description: request unauthorized
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultUnauthorizedResponse'
        '403':
          description: Request forbidden; user has insufficient rights to a resource.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultForbiddenResponse'
        '404':
          description: route not found
          content:
            application/json; charset=utf-8:
              example: route not found
        '500':
          description: >-
            Something went wrong. Please contact the administrator if problems
            persist.
          content:
            application/json; charset=utf-8:
              example: >-
                Something went wrong. Please contact the administrator if
                problems persist.
      deprecated: true
components:
  schemas:
    TagsResponse:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
            example: 0f0e000-000d-0d00-000b-00db0d000fae
            description: This is the internal pleo identifier of the tag
          tagGroupId:
            type: string
            example: 0f0e000-000d-0d00-000b-00db0d000fae
            description: >-
              This is the internal pleo identifier of the tag group this tag
              belongs to
          attributeValues:
            type: array
            description: These are the attributes and their values assigned to this tag
            items:
              type: object
              properties:
                attributeId:
                  type: string
                  example: 0f0e000-000d-0d00-000b-00db0d000fae
                  description: >-
                    This is the internal pleo identifier of the created tag
                    group attribute
                value:
                  type: string
                  description: This is the value assigned to this attribute of the tag
              required:
                - attributeId
                - value
          displayOrder:
            type: number
            description: >-
              This is the display order position for this tag when displayed in
              a list.
          hidden:
            type: boolean
            description: >-
              This flag specifies if the tag is hidden and not visible for use
              in pleo when tagging expenses.
        required:
          - id
          - tagGroupId
          - attributeValues
          - displayOrder
          - hidden
    DefaultUnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
    DefaultForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      description: Open API Bearer token

````